<?php


namespace Schaffen\Financial\BillingRoute\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Financial\BillingRoute\Repositories\ClientRouteRepository;
use Schaffen\Financial\BillingRoute\Repositories\SalesmanRouteRepository;

class SalesmanRouteManager extends ManipulationManager
{
    public function __construct(
        SalesmanRouteRepository $repository,
        ClientRouteRepository $client_route_repository
    )
    {
        parent::__construct($repository);
        $this->client_route_repository = $client_route_repository;
    }

    public function buscaRotasVendedor($values){
        $rotas_vendedor = $this->repository->list(['rov_fk_pes_codigo' => $values->usu_fk_pes_codigo], ['route']);
        if (count($rotas_vendedor) == 1) {
            if (count($rotas_vendedor[0]->route->client_route) == 0) {
                return 1;
            } else {
                return 2;
            }
        } else {
            return 2;
        }
    }
}